> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elementum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of records



## OpenAPI

````yaml get /{recordType}/{alias}
openapi: 3.0.1
info:
  title: Elementum API
  description: ''
  contact:
    email: apiteam@elementum.io
  version: 0.0.1
servers:
  - url: /v1
security: []
tags:
  - name: Access Token
    description: Manage access tokens using OAuth 2.0 standards
  - name: Records
    description: Manage your records
  - name: Related-items
    description: Manage the related items of a record
  - name: Attachments
    description: Manage the attachments of a record
  - name: Watchers
    description: Manage the watchers of a record
  - name: Comments
    description: Manage the conversation of a record
  - name: Users
    description: Manage users in your organization
  - name: Groups
    description: Manage groups and group membership
externalDocs:
  description: Find out more about Elementum
  url: https://www.elementum.com/
paths:
  /{recordType}/{alias}:
    get:
      tags:
        - Records
      summary: Get the list of records
      operationId: recordList
      parameters:
        - $ref: '#/components/parameters/recordType'
        - $ref: '#/components/parameters/alias'
        - $ref: '#/components/parameters/first'
        - $ref: '#/components/parameters/after'
        - $ref: '#/components/parameters/last'
        - $ref: '#/components/parameters/before'
        - $ref: '#/components/parameters/filter'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordPagedList'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ClientCredentials: []
components:
  parameters:
    recordType:
      name: recordType
      in: path
      description: '''apps'', ''elements'', ''tasks'', or ''transactions'''
      required: true
      schema:
        type: string
        format: string
    alias:
      name: alias
      in: path
      description: The application alias
      required: true
      schema:
        type: string
        format: string
    first:
      name: first
      in: query
      description: The number of elements to retrieve after the 'after' cursor location
      required: false
      schema:
        maximum: 1000
        minimum: 1
        type: integer
        format: int32
        default: 100
    after:
      name: after
      in: query
      description: >-
        The starting cursor to begin searching, defaults to the beginning of the
        list
      required: false
      schema:
        type: string
    last:
      name: last
      in: query
      description: The number of elements to retrieve before the 'before' cursor location
      required: false
      schema:
        maximum: 1000
        minimum: 1
        type: integer
        format: int32
    before:
      name: before
      in: query
      description: The starting cursor to begin searching, defaults to the end of the list
      required: false
      schema:
        type: string
    filter:
      name: filter
      in: query
      description: An RSQL filter string.
      required: false
      schema:
        type: string
        format: string
      examples:
        Equals:
          summary: Equals
          description: Equals
          value: Status==Open
        Between:
          summary: Between
          description: Between two values
          value: Number=bt=1:10
        In:
          summary: In
          description: In the provided list
          value: Number=in=1:2:3:4:5
        GreaterThan:
          summary: GreaterThan
          description: Greater than exclusive
          value: Created At=gt=2022-03-15T07:58:30.000Z
        NotEquals:
          summary: NotEquals
          description: Not Equals
          value: Created At!=null
        LessOrEqualTo:
          summary: LessOrEqualTo
          description: Less than inclusive
          value: Created At=le=2021-01-01T07:58:30.000Z
        Like:
          summary: Like
          description: Contains value
          value: Title=lk=Incidents
        LessThan:
          summary: LessThan
          description: Less than exclusive
          value: Created At=lt=2022-03-15T07:58:30.000Z
        NotIn:
          summary: NotIn
          description: Not in the provided list
          value: Number!in=1:2:3:4:5
        NotBetween:
          summary: NotBetween
          description: Not Between two values
          value: Number!bt=1:10
        GreaterOrEqualTo:
          summary: GreaterOrEqualTo
          description: Greater than inclusive
          value: Created At=ge=2021-01-01T07:58:30.000Z
        NotLikeIgnoreCase:
          summary: NotLikeIgnoreCase
          description: Doesn't contains value, case insensitive
          value: Title!lki=Incidents
        Or:
          summary: Or
          description: The or ',' operator
          value: Created At!=null,Created At=ge=2021-01-01T07:58:30.00Z
        '-- select --':
          value: ''
        NotLike:
          summary: NotLike
          description: Doesn't contains value
          value: Title!lk=Incidents
        And:
          summary: And
          description: The and ';' operator
          value: Created At!=null;Created At=ge=2021-01-01T07:58:30.000Z
        LikeIgnoreCase:
          summary: LikeIgnoreCase
          description: Contains value, case insensitive
          value: Title=lki=Incidents
  schemas:
    RecordPagedList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/RecordListItem'
        total:
          type: integer
          format: int32
        paging:
          $ref: '#/components/schemas/PagingState'
      example: >-
        {items=[{data={title=Order ID 23456 Logistics CHH Warehouse,
        description=Complaint received for 3 pallets of product that was shipped
        on Bad Pallets., severity=High}, cursor=Ijf7eqZc0RlZmluaXRpb25zfDA=},
        {data={title=Order ID 1472 Logistics CHH Warehouse,
        description=Complaint received for 1 pallet of product that was shipped
        on a Bad Pallet., severity=Low}, cursor=cHJvY2Vzc0RlZmluaXRpb25zfDA=}],
        total=2, paging={has_next_page=false,
        end_cursor=cHJvY2Vzc0RlZmluaXRpb25zfDA=,
        start_cursor=Ijf7eqZc0RlZmluaXRpb25zfDA=, has_previous_page=false}}
    RecordListItem:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Record'
        cursor:
          type: string
    PagingState:
      type: object
      properties:
        has_next_page:
          type: boolean
        end_cursor:
          type: string
        start_cursor:
          type: string
        has_previous_page:
          type: boolean
    Record:
      type: object
      additionalProperties:
        type: string
      example:
        Severity: High
        Status: In Progress
        Assignee: elroy@elementum.com
        Created on: '2020-04-04'
        Title: Order ID 23456 Logistics CHH Warehouse
        Description: >-
          Complaint received for 3 pallets of product that was shipped on Bad
          Pallets.
  responses:
    '400':
      description: Bad Request
    '401':
      description: Unauthorized
    '403':
      description: Forbidden
    '404':
      description: Not Found
    '422':
      description: Unprocessable Entity
    '429':
      description: Too Many Requests
    '500':
      description: Internal Server Error
  securitySchemes:
    ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes: {}

````